@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "_flexiblelayout-variables.scss";

//sidebar overlap
@mixin _flex-sidebar-overlap {
    > .yw-flexlayout-sidebar {
        visibility: visible;
    }

    &.yw-flexlayout-sidebar-left,
    &.yw-flexlayout-sidebar-right {
        > .yw-flexlayout-sidebar {
            overflow: visible;
            position: relative;

            .yw-flexlayout-sidebar-wrapper {
                position: relative;
            }
        }
    }
}

//sidebar show
@mixin _flex-sidebar-show {

    @include _flex-sidebar-overlap;

    &:not(.yw-flexlayout-sidebar-collapsed) {
        > .yw-flexlayout-contents {
            width: $flexlayout__contents-opened--width;
        }

        &.yw-flexlayout-sidebar-left > .yw-flexlayout-contents {
            transform: none;
        }
        &.yw-flexlayout-sidebar-right,
        &.yw-flexlayout-sidebar-left {
            > .yw-flexlayout-sidebar {
                width: $flexlayout__sidebar--width;

                > .yw-flexlayout-sidebar-wrapper {
                    transform: translateX(0);
                    transition: $flexlayout__sidebar-opened--transition;
                }
            }
        }
    }

    &.yw-flexlayout-sidebar-overlap:not(.yw-flexlayout-sidebar-collapsed) {
        &.yw-flexlayout-sidebar-right,
        &.yw-flexlayout-sidebar-left {
            > .yw-flexlayout-sidebar {
                width: 0;
                overflow: visible;
            }
            > .yw-flexlayout-contents {
                width: 100%;
            }
        }
    }

    &.yw-flexlayout-sidebar-collapsed {
        > .yw-flexlayout-contents {
            width: $flexlayout__contents-collapsed--width;
        }

        &.yw-flexlayout-sidebar-left > .yw-flexlayout-contents {
            transform: none;
        }
    }
}

//responsive resolution breakpoints
@mixin _flex_layout_sidebar_responsive($bp-key, $min-width) {
    .yw-flexlayout-responsive-breakpoint-#{$bp-key} {

        @media (min-width: $min-width) {

            //show responsive sidebar
            &.yw-flexlayout-sidebar-responsive {
                @include _flex-sidebar-show;
            }

            //hide trigger btn
            &.yw-flexlayout-trigger {
                display: none;
            }
        }

        @media (max-width: $flexlayout__media-query-s--min-width - 1px) {
            //show overlap sidebar
            &.yw-flexlayout-sidebar-responsive.yw-flexlayout-sidebar-opened {
                @include _flex-sidebar-overlap;
            }
        }
    }
}
